SFRPG

The forum for Science Fiction Role Playing Game inspiration and information! So Say We All!
It is currently Sat Nov 25, 2017 12:05 am

All times are UTC




Post new topic  Reply to topic  [ 4 posts ] 
Author Message
PostPosted: Sat Nov 08, 2014 7:06 pm 
Offline
User avatar

Joined: Thu Jul 03, 2008 5:41 am
Posts: 2149
Location: Yavne, Israel
So far I've used Python 2.7.x as my go-to scripting language (Python is great for all sorts of random generators and the like - useful for Traveller). Should I emigrate to Python 3?

_________________
We are but a tiny candle flickering against the darkness of our times.

Stellagama Publishing - Visit our Blog, Den of the Lizard King


Top
   
PostPosted: Sat Nov 08, 2014 10:30 pm 
Offline
Administrator
User avatar

Joined: Thu Jul 03, 2008 1:22 am
Posts: 5294
I use Python 3 myself (3.2.2, which is a bit old now) and it works fine, but I think the online support on forums etc isn't so good because people are still sticking with 2.7 for some unknown reason.

I think the best bet is to pick a version and stick with it. If you're on 2.7, stay with that. if you want to change to 3.3 then you'll have to convert some of the commands from 2.7 to 3.3 format (e.g. keyboard input is different).

_________________
SFRPG Owner/Admin
This post (or any other post I made here) may not be quoted or copied beyond the SF RPG boards without my explicit permission.
Check out the latest news from Spica Publishing!
evildrganymede.net - visit the The Worldbuilding Hub, and check out my Science Blog!


Top
   
PostPosted: Sun Nov 09, 2014 7:48 am 
Offline
User avatar

Joined: Thu Jul 03, 2008 5:41 am
Posts: 2149
Location: Yavne, Israel
If I'd want to use Python in the future, won't 3 be in continued use much further than 2.7? I haven't used it for several years, so I'll have to re-learn things anyway...

_________________
We are but a tiny candle flickering against the darkness of our times.

Stellagama Publishing - Visit our Blog, Den of the Lizard King


Top
   
PostPosted: Sun Nov 09, 2014 8:19 am 
Offline
Administrator
User avatar

Joined: Thu Jul 03, 2008 1:22 am
Posts: 5294
I honestly don't know. I would think that v3.x would be what people would ultimately move on to at some point (and maybe over the past few years more people have switched over to it?) - but I guess that there's a lot of inertia among the 2.x users.

I started off with 3 anyway, now that I'm at home it's OK because the programs I use are only going to run on my machine, but when I was working at my previous job it was a bit annoying because any program I wrote at home wouldn't necessarily work at the office because they used 2.x (and vice versa).

_________________
SFRPG Owner/Admin
This post (or any other post I made here) may not be quoted or copied beyond the SF RPG boards without my explicit permission.
Check out the latest news from Spica Publishing!
evildrganymede.net - visit the The Worldbuilding Hub, and check out my Science Blog!


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 4 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Limited